# ldap group that adds users of the group to admin role
adminGroup: ${RBAC_ADMIN}

# permissions that will be added to the permissions table
permissions:
  - title: catalog.entity.create
    type: create
    resourceType: catalog
    description: 'create permission for catalog'

  - title: catalog.entity.read
    type: read
    resourceType: catalog
    description: 'read permission for catalog entity'

  - title: catalog.location.read
    type: read
    resourceType: catalog
    description: 'read permission for catalog location'

  - title: catalog.location.create
    type: create
    resourceType: catalog
    description: 'create permission for catalog location'

  - title: selfService.manageSelfServicesTab.read
    type: read
    resourceType: selfService
    description: 'read permission for manage self services Tab'

  - title: selfService.changeCpuQuota.update
    type: update
    resourceType: selfService
    description: 'permission to modify cpu quota schema'

  - title: selfService.changeMemoryQuota.update
    type: update
    resourceType: selfService
    description: 'permission to modify memory quota schema'

  - title: selfService.deployServiceMesh.update
    type: update
    resourceType: selfService
    description: 'permission to modify deploy service mesh schema'

  - title: selfService.modifyResource.update
    type: update
    resourceType: selfService
    description: 'permission to modify resource schema'

  - title: selfService.changePodLimit.update
    type: update
    resourceType: selfService
    description: 'permission to modify pod limit schema'

  - title: selfService.apearmytest.update
    type: update
    resourceType: selfService
    description: 'permission to modify enable ape army test schema'

  - title: selfService.apeArmyEnablement.update
    type: update
    resourceType: selfService
    description: 'permission to modify ape army: enablement schema'

  - title: selfService.createAndromedaProject.update
    type: update
    resourceType: selfService
    description: 'permission to modify create andromeda project schema'

  - title: selfService.apeArmyModifyEndTime.update
    type: update
    resourceType: selfService
    description: 'permission to modify ape army: modify end time schema'

  - title: selfService.modifyUsersToProject.update
    type: update
    resourceType: selfService
    description: 'permission to modify users to project schema'

  - title: selfService.serverlessNetworkPolicy.update
    type: update
    resourceType: selfService
    description: 'permission to enable serverless network policy schema'

  - title: selfService.sourceDestinationNetworkPolicy.update
    type: update
    resourceType: selfService
    description: 'permission to enable source-destination network policy schema'

  - title: selfService.pvPvcPreChecks.update
    type: update
    resourceType: selfService
    description: 'permission to modify pv/pvc pre checks Schema'

  - title: selfService.pvPvcCreation.read
    type: read
    resourceType: selfService
    description: 'permission to read pv/pvc creation Schema'

  - title: selfService.actionTableData.create
    type: create
    resourceType: actionList
    description: 'permission to allow users to create data in actions table'

# dashboard permissions to be created
# add dashboard permissions to be created here. You can also group dashboard permissions here.

dashboardPermissions:
  - title: 'dashboard.projects'
    type: read
    resourceType: dashboard
    description: 'over arching dashboard permission for project widgets'

  - title: 'dashboard.summary'
    type: read
    resourceType: dashboard
    description: 'permission for Summary widget in dashboard'
    relation:
      - type: 'subgroup'
        permissionName: 'dashboard.projects'

  - title: 'dashboard.myWorkSpaces'
    type: read
    resourceType: dashboard
    description: 'permission for My WorkSpaces widget in dashboard'
    relation:
      - type: 'subgroup'
        permissionName: 'dashboard.projects'

  - title: 'dashboard.projects.myWork'
    type: read
    resourceType: dashboard
    description: 'permission for My Work widget in dashboard'
    relation:
      - type: 'subgroup'
        permissionName: 'dashboard.projects'

  - title: 'dashboard.starredEntities'
    type: read
    resourceType: dashboard
    description: 'permission for Starred Entities widget in dashboard'
    relation:
      - type: 'subgroup'
        permissionName: 'dashboard.projects'

  - title: 'dashboard.starredDeveloperStacks'
    type: read
    resourceType: dashboard
    description: 'permission for Starred Developer Stacks widget in dashboard'
    relation:
      - type: 'subgroup'
        permissionName: 'dashboard.projects'
